Bug 1580344 - Remove EIO from the dht_inode_missing macro
Summary: Remove EIO from the dht_inode_missing macro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On: 1578823
Blocks: 1277924 1503137 1579673 1579674
TreeView+ depends on / blocked
 
Reported: 2018-05-21 10:27 UTC by Nithya Balachandran
Modified: 2018-09-17 13:11 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1578823
Environment:
Last Closed: 2018-09-04 06:48:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:49:57 UTC

Description Nithya Balachandran 2018-05-21 10:27:41 UTC
+++ This bug was initially created as a clone of Bug #1578823 +++

Description of problem:
commit a9ccd0c8ea6989c72 included EIO in the list of errnos that triggered a migration check task. This is therefore triggered in genuine cases of split brains as well.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2018-05-16 08:47:42 EDT ---

REVIEW: https://review.gluster.org/20028 (cluster/dht: Remove EIO from dht_inode_missing) posted (#1) for review on master by N Balachandran

--- Additional comment from Worker Ant on 2018-05-17 02:49:36 EDT ---

COMMIT: https://review.gluster.org/20028 committed in master by "Raghavendra G" <rgowdapp@redhat.com> with a commit message- cluster/dht: Remove EIO from dht_inode_missing

Removed EIO from the list of errnos that triggered
a migrate check task.

Change-Id: I7f89c7a16056421588f1af2377cebe6affddcb47
fixes: bz#1578823
Signed-off-by: N Balachandran <nbalacha@redhat.com>

Comment 7 Prasad Desala 2018-08-08 11:04:27 UTC
Verified this BZ on glusterfs version: 3.12.2-15.el7.x86_64.

1) Created a distributed-replicate volume 4x3 and start it.
2) FUSE mount it on multiple clients.
3) Create a file "f1"
4) set cluster.self-heal-daemon to off and cluster.quorum-type to none
5) Bring down b1,b2 in a replica pair.
6) Write some data to file "f1"
7) Bring back the down bricks. b1 and b2
8) Now, bring down b3 in the replica pair.
9) Write some data to the file "f1"
10) Bring back b3

Now, file will be in split-brain. Append some data to the file, it throws EIO error.
Hence, moving this BZ to Verified.

Comment 8 errata-xmlrpc 2018-09-04 06:48:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.